# $Revision: 1.55 $, $Date: 2011/09/01 17:03:48 $
#
# Conditional build:
%bcond_with	lirc	# with LIRC support.
#
Summary:	ncurses-based based MP3 player
Summary(pl.UTF-8):	Odtwarzacz plików MP3 bazowany na ncurses
Name:		mp3blaster
Version:	3.2.5
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/mp3blaster/%{name}-%{version}.tar.gz
# Source0-md5:	edb3bb122553d2d544dfb084010311c6
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-misc.patch
URL:		http://mp3blaster.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libvorbis-devel >= 1:1.0
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mp3blaster is an interactive text-based MP3 player. One of the unique
features of this player is the ability to divide a playlist into
groups (albums). Therefore, the play order can be adjusted with great
flexibility.

%description -l pl.UTF-8
mp3blaster to interaktywny odtwarzacz plików MP3 pracujący w trybie
tekstowym. Jedną z wyjątkowych cech tego odtwarzacza jest możliwość
dzielenia list odtwarzanych plików na grupy (albumy). Dzięki temu
kolejność odtwarzania może być dobierana w bardzo elastyczny sposób.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1  # check me!!!

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_lirc:--with-lirc} \
	--with-oggvorbis
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%doc AUTHORS CREDITS ChangeLog NEWS README README.lirc TODO BUGS FAQ
%doc AUTHORS CREDITS ChangeLog NEWS README TODO BUGS FAQ
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mp3blaster
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mp3blaster.spec,v $
Revision 1.55  2011/09/01 17:03:48  arekm
- release 2

Revision 1.54  2009/11/08 15:47:41  adamg
- updated to 3.2.5

Revision 1.53  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.52  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.50  2006/08/06 14:38:46  paszczus
- updated to 3.2.3

Revision 1.49  2006/07/17 16:12:47  blues
- 3.2.2 - changed URL and sources location. Commented out patch0, which
  seems to be unfinished (according to changelog) and does not currently
  applies. Waiting for author.

Revision 1.48  2006/01/25 11:04:47  adasi
- fixing issue with not-detached threads (memory leak)
- better search (using case-insensitive regexp instead of simple strncmp on
  beginning of file name) + tab switches to next found
- basic queuing (using TAB)
- TODO: fix next_song on queuing, mark queued files, tab cycles to next
  found

Revision 1.47  2005/05/15 19:47:36  adamg
- release 2 for Th

Revision 1.46  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.45  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.44  2004/10/11 09:02:12  paszczus
- added Source0-size

Revision 1.43  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.42  2004/08/21 23:54:32  domelu
- new style bconds

Revision 1.41  2004/08/15 00:44:39  paszczus
- release 1

Revision 1.40  2004/08/10 12:06:17  wojrus
- lirc patch included in version 3.2.0

Revision 1.39  2004/04/15 07:56:28  paszczus
- removed gettext patch
- relase 0.5, nfy
- somebody can update lirc patch? or maybe it isn`t usefull?

Revision 1.38  2004/04/14 10:47:00  paszczus
- updated to 3.2.0
- patches commented, update needed

Revision 1.37  2003/11/02 09:36:54  djrzulf
- added patch that allows to compile at AC-like env,

Revision 1.36  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.35  2003/07/21 14:44:09  wojrus
- lirc support patch
- rel 2
- STBR

Revision 1.34  2003/05/27 10:57:25  trojan
- added Source0-md5

Revision 1.33  2003/05/25 05:50:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/10/21 08:09:14  areq
- 3.1.3, STBR

Revision 1.31  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.30  2002/09/04 11:26:58  grzegol
- updated to 3.1.2

Revision 1.29  2002/07/22 12:12:39  kloczek
- rebuild against final libvorbis 1.0.

Revision 1.28  2002/07/21 20:23:01  kloczek
- release 3.

Revision 1.27  2002/07/21 12:55:01  blues
- nas support is out (pitty) - API incompatibilities...

Revision 1.26  2002/07/21 12:33:52  blues
- release 2 (rebuild with new libvorbis)
- added visually options to configure (nas support enabled)
- cosmetic, new doc
STBR

Revision 1.25  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/03/17 18:02:18  kloczek
- removed COPYING from %doc and add -f to automake parameters.

Revision 1.23  2002/03/17 17:30:39  grzegol
- updated to 3.1.1
STBR

Revision 1.22  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/08 08:06:12  kloczek
- cosmetics.

Revision 1.19  2001/12/08 02:48:18  blues
- 3.0 (oficial stable)
- adapterized
- URL added
- added call for am

Revision 1.18  2001/10/30 18:23:26  gotar
- added %{_datadir}/mp3blaster dir to the package contents,
- release 3.

Revision 1.17  2001/10/11 08:39:41  qboosh
- BuildRequires: autoconf, automake

Revision 1.16  2001/09/23 21:10:08  blues
- release 2
- ac2.5 ready

Revision 1.15  2001/06/18 20:32:15  blues
- 3.0p8
STB

Revision 1.14  2001/04/22 01:44:24  kloczek
- adapterized and few cosmetics.

Revision 1.13  2001/04/21 14:03:10  blues
- 3.0p7-1
- removed old sources
- spec corrected

Revision 1.12  2001/04/12 18:20:58  kloczek
- spec adapterized.

Revision 1.11  2001/04/12 18:09:15  blues
- 2.0b18
- added mp3blasterrc to docs.
- STBR

Revision 1.10  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.9  2000/07/13 23:15:55  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.8  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.4  2000/02/20 07:00:11  kloczek
- some cosmetics,
- fix: pass LDFLAGS="-s" instead LDFLAGS="-l" and pass this
  variable to ./configure environment instead to make environment.

Revision 1.3  2000/02/19 23:03:24  zagrodzki
- updated to 2.0b17

Revision 1.2  1999/12/19 23:15:00  zagrodzki
- new version
- updated source url
- patch for changing CWD (without it one can't umount any filesystem,
  though program's not using it anymore)

Revision 1.1  1999/12/07 07:41:12  zagrodzki
- initial release
